# class Puppet::Util::ExecutionStub

### Public Instance Methods

current_value() click to toggle source

Retrieve the current execution stub, or nil if there is no stub.

    # File lib/puppet/util/execution_stub.rb, line 21
    def current_value
      @value
    end

reset() click to toggle source

Uninstall any execution stub, so that calls to Puppet::Util::Execution.execute behave normally again.

    # File lib/puppet/util/execution_stub.rb, line 16
    def reset
      @value = nil
    end

set(&block) click to toggle source

Set a stub block that Puppet::Util::Execution.execute should invoke instead of actually executing commands on the target machine. Intended for spec testing.

The arguments passed to the block are |command, options|, where command is an array of strings and options is an options hash.

    # File lib/puppet/util/execution_stub.rb, line 10
    def set(&block)
      @value = block
    end